Bug 18604 - vgetty broken with ISA USR 56K modem
Summary: vgetty broken with ISA USR 56K modem
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mgetty   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-07 14:35 UTC by Need Real Name
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-03 23:54:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-07 14:35:02 UTC
vgetty is broken.  After changing /etc/inittab to include vgetty I got
something like this in /var/log/messages,

Oct  5 08:40:12 kilgore mgetty[8440]: vgetty: experimental test release
0.9.16 / 10Aug00: Function not implemented
Oct  5 08:40:12 kilgore mgetty[8440]: reading program vm configuration from
config file /etc/mgetty+sendfax/voice.conf: Function not implemented
Oct  5 08:40:12 kilgore mgetty[8440]: opening voice modem device: Function
not implemented
Oct  5 08:40:12 kilgore mgetty[8440]: opened voice modem device /dev/ttyS1:
Function not implemented
...

I found a patch to the redhat source package mgetty-1.1.22-1.src.rpm on the
vgetty homepage that fixes the problem.

http://www-internal.alphanet.ch/~schaefer/vgetty/global_patches/CURRENT/

mgetty-1.1.22-to-current.bz2

The mgetty.spec used was posted to the mgetty+sendfax mailing list.  I've
put this online at,

http://www.eps.mcgill.ca/~steeve/out/mgetty.spec.gz

Comment 1 thalakan 2000-10-11 05:53:37 UTC
I can confirm this behavior on an i486 DX2/66 with a US Robotics Sportster 33.6.

Comment 2 Scott Wilburn 2000-12-09 15:24:23 UTC
I see this problem with a USR modem. Also had it with RH 6.2 after an mgetty
upgrade.

Comment 3 Jason Vas Dias 2005-06-03 23:54:16 UTC
Just closing out old bugs here. This one is definitely fixed with
current mgetty releases.


Note You need to log in before you can comment on or make changes to this bug.